# Generated from non_grata-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name non_grata

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Highly configurable authorization system for rails applications
License: MIT
URL: https://github.com/viaov/non_grata
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(sqlite3) < 1
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rspec-rails) < 1
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard) < 1
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-rspec) < 1
BuildArch: noarch

%description
NonGrata is a highly configurable authorization system for rails applications.
Supporting simple declarite authorziation and multitenant configurable roles.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.1-1
- Initial package
